summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xBS/run-fgbs24a.sh28
-rw-r--r--GEMV/host/app.c2
-rwxr-xr-xGEMV/run-fgbs24a.sh22
-rwxr-xr-xHST-S/run-fgbs24a.sh22
4 files changed, 73 insertions, 1 deletions
diff --git a/BS/run-fgbs24a.sh b/BS/run-fgbs24a.sh
new file mode 100755
index 0000000..9cefea4
--- /dev/null
+++ b/BS/run-fgbs24a.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+set -e
+
+mkdir -p $(hostname)
+
+# BL: use 2^(BL) B blocks for MRAM <-> WRAM transfers on PIM module
+# T: data type
+# -w: number of un-timed warmup iterations
+# -e: number of timed iterations
+# -i; ignored, always uses 262144 elements
+
+(
+
+echo "prim-benchmarks BS (dfatool fgbs24a edition)"
+echo "Started at $(date)"
+echo "Revision $(git describe --always)"
+
+for nr_dpus in 2543 2304 2048; do
+ for nr_tasklets in 16; do
+ echo
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10; then
+ timeout --foreground -k 1m 30m bin/bs_host -w 0 -e 100 -i 16777216 || true
+ fi
+ done
+done
+echo "Completed at $(date)"
+) | tee "$(hostname)/fgbs24a.txt"
diff --git a/GEMV/host/app.c b/GEMV/host/app.c
index 268e691..d1cfaf5 100644
--- a/GEMV/host/app.c
+++ b/GEMV/host/app.c
@@ -303,7 +303,7 @@ int main(int argc, char **argv) {
n_size * m_size / timer.time[2],
n_size * m_size / (timer.time[4]),
n_size * m_size / (timer.time[0] + timer.time[1] + timer.time[3] + timer.time[4] + timer.time[5] + timer.time[6]));
- printf(" throughput_upmem_wxr_MBps=%f throughput_upmem_lwxr_MBps=%f throughput_upmem_alwxr_MBps=%f\n",
+ printf(" throughput_upmem_wxr_MOpps=%f throughput_upmem_lwxr_MOpps=%f throughput_upmem_alwxr_MOpps=%f\n",
n_size * m_size / (timer.time[3] + timer.time[4] + timer.time[5]),
n_size * m_size / (timer.time[1] + timer.time[3] + timer.time[4] + timer.time[5]),
n_size * m_size / (timer.time[0] + timer.time[1] + timer.time[3] + timer.time[4] + timer.time[5]));
diff --git a/GEMV/run-fgbs24a.sh b/GEMV/run-fgbs24a.sh
new file mode 100755
index 0000000..97e01ff
--- /dev/null
+++ b/GEMV/run-fgbs24a.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+set -e
+
+mkdir -p $(hostname)
+
+(
+
+echo "prim-benchmarks GEMV strong-full (dfatool edition)"
+echo "Started at $(date)"
+echo "Revision $(git describe --always)"
+
+for nr_dpus in 2543 2304 2048; do
+ for nr_tasklets in 16; do
+ echo
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10; then
+ timeout --foreground -k 1m 30m bin/gemv_host -w 0 -e 100 -m 163840 -n 4096 || true
+ fi
+ done
+done
+echo "Completed at $(date)"
+) | tee "$(hostname)/fgbs24a.txt"
diff --git a/HST-S/run-fgbs24a.sh b/HST-S/run-fgbs24a.sh
new file mode 100755
index 0000000..36a6ad2
--- /dev/null
+++ b/HST-S/run-fgbs24a.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+set -e
+
+mkdir -p $(hostname)
+
+(
+
+echo "prim-benchmarks HST-S (dfatool fgbs24a edition)"
+echo "Started at $(date)"
+echo "Revision $(git describe --always)"
+
+for nr_dpus in 2543 2304 2048; do
+ for nr_tasklets in 16; do
+ echo
+ if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} BL=10; then
+ timeout --foreground -k 1m 30m bin/host_code -w 0 -e 100 -b 256 -x 2 || true
+ fi
+ done
+done
+echo "Completed at $(date)"
+) | tee "$(hostname)/fgbs24a.txt"